/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.util.swing;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Image;
import java.util.Random;
import org.jdesktop.swingx.JXPanel;

/**
 * Panel which will randomly paint one of the provided images
 *
 * @author Merijn Zengers <Merijn.Zengers@gmail.nl>
 */
public class RandomImagePanel extends JXPanel {

    private Image[] backgrounds;
    private int backgroundId;

    public RandomImagePanel() {
//        setAlpha(.5f);
        setBackground(Color.WHITE);
    }

    
    public RandomImagePanel(Image[] backGrounds) {
        this();
        this.backgrounds = backGrounds;
        backgroundId = new Random().nextInt(backgrounds.length - 1);
    }
    
    public void setBackGrounds(Image[] backGrounds){
        this.backgrounds = backGrounds;
        backgroundId = new Random().nextInt(backgrounds.length - 1);
        repaint();
    }

    @Override
    protected void paintComponent(Graphics g) {
        Graphics2D g2d = (Graphics2D) g;
        g2d.setPaint(getBackground());
        g2d.fillRect(0, 0, getWidth(), getHeight());

        if (backgrounds != null && backgrounds[backgroundId] != null) {
            g.drawImage(backgrounds[backgroundId], 0, 0, null);
        }
    }
}
