/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.util.swing.beanbinding;

import org.jdesktop.beansbinding.Validator;
import org.openide.util.NbBundle;

/**
 * Checks if the toString of the passed object is not empty
 *
 * @author Merijn Zengers
 */
@NbBundle.Messages("ToStringNotEmptyValidator error message=Cannot be an empty string")
public class ToStringNotEmptyValidator extends Validator<Object> {

    /**
     * Checks if the passed in  objects toString() is not empty 
     * @param value
     * @return if String is empty {@link Result} else null
     */
    @Override
    public Result validate(Object value) {
        if (value != null && value.toString().isEmpty()) {
            return new Validator.Result(null, Bundle.ToStringNotEmptyValidator_error_message());
        }
        return null;
    }
}
